Обновление системы безопасности в связи с уязвимостью NTP в ОС OS X

В этом документе описываются проблемы безопасности, устраняемые обновлением системы безопасности в связи с уязвимостью NTP в ОС OS X.

В целях защиты клиентов компания Apple не разглашает информацию о проблемах в системе безопасности, не подтверждает ее и не участвует в ее обсуждении до тех пор, пока не будет полностью завершено изучение соответствующей проблемы и не будут опубликованы все необходимые исправления и выпуски. Дополнительные сведения об обеспечении безопасности продуктов Apple см. на странице Безопасность продуктов Apple.

Информацию об обеспечении безопасности продуктов Apple с помощью PGP-ключа см. в статье Как использовать PGP-ключ защиты продуктов Apple.

Там, где это возможно, для ссылки на дополнительную информацию об уязвимостях используются идентификаторы CVE.

Сведения о других обновлениях системы безопасности см. в статье Обновления системы безопасности Apple.

Обновление системы безопасности в связи с уязвимостью NTP в ОС OS X

  • ntpd

    Доступно для: ОС OS X Mountain Lion 10.8.5, OS X Mavericks 10.9.5, OS X Yosemite 10.10.1

    Воздействие. Удаленный злоумышленник мог выполнять произвольный код.

    Описание. В ntpd возникало несколько проблем, в связи с чем злоумышленник мог вызвать переполнение буфера. Проблемы были устранены путем улучшенной проверки ошибок.

    Чтобы проверить наличие версии ntpd, введите следующую команду в окне программы «Терминал»: what /usr/sbin/ntpd.  Это обновление распространяется на следующие версии.

    • ОС Mountain Lion: ntp-77.1.1
    • ОС Mavericks: ntp-88.1.1
    • ОС Yosemite: ntp-92.5.1

     

    Идентификатор CVE

    CVE-2014-9295: Штефан Рёттгер (Stephen Roettger) из отдела обеспечения безопасности Google

Дата публикации: